<html lang="en">
<head>
<title>Indent - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Edit.html#Edit" title="Edit">
<link rel="prev" href="Information.html#Information" title="Information">
<link rel="next" href="Move.html#Move" title="Move">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Indent"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Move.html#Move">Move</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Information.html#Information">Information</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Edit.html#Edit">Edit</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">8.4 Indentation according to structure</h3>

<p><a name="index-g_t_0040key_007bTAB_007d-98"></a><a name="index-g_t_0040key_007bLFD_007d-99"></a><a name="index-sgml_002dindent_002dor_002dtab-100"></a><a name="index-newline_002dand_002dindent-101"></a>You can indent a line according to the depth of element nesting at the
beginning of the line.  To indent the current line use <kbd>&lt;TAB&gt;</kbd>. 
You can also use <kbd>&lt;LFD&gt;</kbd> (<code>newline-and-indent</code>) to start a
new line with correct indentation.

<div class="defun">
&mdash; User Option: <b>sgml-indent-step</b><var><a name="index-sgml_002dindent_002dstep-102"></a></var><br>
<blockquote><p>How much to increment indent for every element level.  If nil, no
indentation.

        <p>If this is nil, <kbd>&lt;TAB&gt;</kbd> will insert a tab instead of indenting. 
</p></blockquote></div>

<div class="defun">
&mdash; User Option: <b>sgml-indent-data</b><var><a name="index-sgml_002dindent_002ddata-103"></a></var><br>
<blockquote><p>If non-nil, indent in data/mixed context also. 
</p></blockquote></div>

<!--  -->
</body></html>

